Loading...
Searching...
No Matches
casacore::NTrueFunc< T, RES > Class Template Referencefinal

Logical functor to count the number of true elements. More...

`#include <ArrayLogical.h>`

## Public Member Functions

virtual RES | operator() (const Array< T > &arr) const override
Public Member Functions inherited from casacore::ArrayFunctorBase< T, size_t >
virtual | ~ArrayFunctorBase ()

## Detailed Description

template<typename T, typename RES = size_t>
class casacore::NTrueFunc< T, RES >

Logical functor to count the number of true elements.

Definition at line 445 of file ArrayLogical.h.

## Member Function Documentation

## operator()()

template<typename T, typename RES = size_t>

virtual RES casacore::NTrueFunc< T, RES >::operator() | ( | const Array< T > & | arr | ) | const

inline override virtual

Implements casacore::ArrayFunctorBase< T, size_t >.

Definition at line 447 of file ArrayLogical.h.

References casacore::ntrue().

The documentation for this class was generated from the following file:

- casa/Arrays/ArrayLogical.h